/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.Rxsmsmessage;
import com.tofly.xrtygis.service.RxsmsmessageService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.RxsmsmessageMapper;

import java.util.List;
import java.util.Map;

/**
 * 热线短信通讯信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("rxsmsmessageService")
public class RxsmsmessageServiceImpl extends ServiceImpl<RxsmsmessageMapper, Rxsmsmessage> implements RxsmsmessageService {

    @Override
    public Long getMaxId(String tableName) {
        return baseMapper.getMaxId(tableName);
    }

    @Override
    public void insertNoteRecord(Map<Long, String> idAndMob, Rxsmsmessage message) {
        baseMapper.insertNoteRecord(idAndMob,message);
    }

    @Override
    public void insertMessage(List<Rxsmsmessage> rxsmsmessageList) {
        baseMapper.insertMessage(rxsmsmessageList);
    }

    @Override
    public void updateMessage(List<Rxsmsmessage> rxsmsmessageList) {
        baseMapper.updateMessage(rxsmsmessageList);
    }
}
